Index: NEMO/branches/2020/dev_12905_xios_restart/tests/WAD/MY_SRC/usrdef_nam.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/tests/WAD/MY_SRC/usrdef_nam.F90	(revision 13724)
+++ NEMO/branches/2020/dev_12905_xios_restart/tests/WAD/MY_SRC/usrdef_nam.F90	(revision 13727)
@@ -14,5 +14,4 @@
    !!   usr_def_hgr   : initialize the horizontal mesh 
    !!----------------------------------------------------------------------
-   USE dom_oce  , ONLY: nimpp , njmpp            ! i- & j-indices of the local domain
    USE par_oce        ! ocean space and time domain
    USE phycst         ! physical constants
@@ -77,5 +76,9 @@
       !                             ! Set the lateral boundary condition of the global domain
       kperio = 0                    ! WAD_TEST_CASES configuration : closed domain
-      IF( nn_wad_test == 8 ) kperio = 7 ! North-South cyclic test
+      IF( nn_wad_test == 8 ) THEN
+         kperio = 7         ! North-South cyclic test
+         kpi = kpi - 2      ! no closed boundary
+         kpj = kpj - 2      ! no closed boundary
+      ENDIF
       !
       !                             ! control print
Index: NEMO/branches/2020/dev_12905_xios_restart/tests/WAD/MY_SRC/usrdef_zgr.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/tests/WAD/MY_SRC/usrdef_zgr.F90	(revision 13724)
+++ NEMO/branches/2020/dev_12905_xios_restart/tests/WAD/MY_SRC/usrdef_zgr.F90	(revision 13727)
@@ -15,6 +15,5 @@
    !!---------------------------------------------------------------------
    USE oce            ! ocean variables
-   USE dom_oce ,  ONLY: ht_0, mi0, mi1, nimpp, njmpp,  &
-                      & mj0, mj1, glamt, gphit         ! ocean space and time domain
+   USE dom_oce ,  ONLY: ht_0, mi0, mi1, mj0, mj1, glamt, gphit         ! ocean space and time domain
    USE usrdef_nam     ! User defined : namelist variables
    USE wet_dry ,  ONLY: rn_wdmin1, rn_wdmin2, rn_wdld  ! Wetting and drying
@@ -244,5 +243,5 @@
       ! at v-point: averaging zht
       zhv = 0._wp
-      DO_2D_00_00
+      DO_2D( 0, 0, 0, 0 )
          zhv(ji,jj) = 0.5_wp * ( zht(ji,jj) + zht(ji,jj+1) )
       END_2D
@@ -281,5 +280,5 @@
          ht_0 = zht
          k_bot(:,:) = jpkm1 * k_top(:,:)  !* bottom ocean = jpk-1 (here use k_top as a land mask)
-         DO_2D_11_11
+         DO_2D( 1, 1, 1, 1 )
             IF( zht(ji,jj) <= -(rn_wdld - rn_wdmin2)) THEN
                k_bot(ji,jj) = 0
@@ -290,5 +289,5 @@
          !                                !* terrain-following coordinate with e3.(k)=cst)
          !                                !  OVERFLOW case : identical with j-index (T=V, U=F)
-         DO_2D_00_00
+         DO_2D( 0, 0, 0, 0 )
             z1_jpkm1 = 1._wp / REAL( k_bot(ji,jj) - k_top(ji,jj) + 1 , wp)
             DO jk = 1, jpk
